Loading...
Searching...
No Matches
tampon.hpp File Reference

defines the tampon class that provides asynchronous pipe-like (unidirectional) communication between two threads More...

`#include "config.h"`
`#include "mutex.hpp"`
`#include "exceptions.hpp"`

Go to the source code of this file.

## Classes

class | libthreadar::tampon< T >
| DEPRECATED see fast_tampon instead! More...

## Namespaces

namespace | libthreadar
| This is the only namespace used in libthreadar and all symbols provided by libthreadar are member of this namespace.

## Detailed Description

defines the tampon class that provides asynchronous pipe-like (unidirectional) communication between two threads

Definition in file tampon.hpp.